/*
 
This example defines a custom tag named:

 <ex:Hello>This is the message body <ex:Hello />

To create a custom JSP tag, you must first create a Java class
that acts as a tag handler.

Here is the class: 
 */


package Example;

import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;
import java.io.*;

public class HelloTag extends SimpleTagSupport {
   StringWriter sw = new StringWriter();
   
   public void doTag() throws JspException, IOException {
      getJspBody().invoke(sw);
      getJspContext().getOut().println(sw.toString());
   }
}

/*
 The above code the output resulting from the invocation is first captured
 into a StringWriter before being written to the JspWriter associated with the tag.
 
You will also need to create the following tag library file:

WebContent\WEB-INF\custom.tld

 */

